Subject: bug#23579: 25.1.50; window-configuration-change-hook not invoked when window resized

From: martin rudalics <[email-masked]>
Date: Thu, 19 May 2016 15:02:14 +0200

> Under OS X "El Capitan" it's possible to split a Space between two
 > full-screen applications, with a draggable divider between them.
 >
 > When Emacs is one of those split-screen applications, it does not
 > trigger window-configuration-change-hook when the divider has been
 > dragged, even though the net result is that the window configuration
 > changed.

Recently I have tried to make the distinction between size and
configuration changes more precise.  Please have a look at the Elisp
manual.  The scenario you describe above does not change the
configuration of any of the involved frames but only their sizes.

 > This means that user or package code which relies on the hook is not
 > triggered reliably, leading to unexpected behaviour.

Indeed: For the given scenario you have to add a function to
‘window-size-change-functions’.

martin